import { PayloadType } from '../constants/type';

export const setCurrentPage = (state: Record<string, any>, { payload }: PayloadType): any => ({
  ...state,
  currentPage: payload,
});

export const setTotalPage = (state: Record<string, any>, { payload }: PayloadType): any => ({
  ...state,
  totalPage: payload,
});

export const setPdf = (state: Record<string, any>, { payload }: PayloadType): any => ({
  ...state,
  pdf: payload,
});

export const setProgress = (state: Record<string, any>, { payload }: PayloadType): any => ({
  ...state,
  progress: payload,
});

export const setViewport = (state: Record<string, any>, { payload }: PayloadType): any => ({
  ...state,
  viewport: payload,
});

export const changeScale = (state: Record<string, any>, { payload }: PayloadType): any => ({
  ...state,
  scale: payload,
});

export const changeRotate = (state: Record<string, any>, { payload }: PayloadType): any => ({
  ...state,
  rotation: payload,
});

export const addAnnotation = (state: Record<string, any>, { payload }: PayloadType): any => ({
  ...state,
  annotations: [...state.annotations, ...payload.annotations],
  isInit: payload.init,
});

export const updateAnnotation = (state: Record<string, any>, { payload }: PayloadType): any => ({
  ...state,
  annotations: [...payload],
  isInit: true,
});
