import { ProgressType, ViewportType, AnnotationType } from '../constants/type';

export type StateType = {
  totalPage: number;
  currentPage: number;
  pdf: any;
  progress: ProgressType;
  viewport: ViewportType;
  scale: number;
  rotation: number;
  annotations: AnnotationType[];
  isInit: boolean;
};

export default {
  totalPage: 1,
  currentPage: 1,
  pdf: null,
  progress: {
    loaded: 0,
    total: 1,
  },
  viewport: {},
  scale: 1,
  rotation: 0,
  annotations: [],
  isInit: false,
};
