import invokeApi from '../helpers/apiHelpers';
import apiPath from '../constants/apiPath';

export const initialPdfFile = async (token: string): Promise<any> => invokeApi({
  path: apiPath.initPdf,
  method: 'GET',
  data: {
    f: token,
  },
});

export const saveFile = async (token: string, data: any): Promise<any> => invokeApi({
  path: `${apiPath.saveFile}?f=${token}`,
  method: 'POST',
  data,
});

export default {};
