import React from 'react';

import { Markup } from './styled';

type Props = {
  position: Record<string, any>;
  bdcolor: string;
  opacity: number;
  markupType: string;
  isCovered?: boolean;
};

const index = ({
  position,
  bdcolor,
  opacity,
  markupType,
  isCovered,
}: Props): React.ReactElement => (
  <Markup
    position={position}
    bdcolor={bdcolor}
    opacity={opacity}
    markupType={markupType}
    isCovered={isCovered}
  />
);

export default index;
